\name{predict.LSBCMM}
\alias{predict.LSBCMM}
\title{ Predict method for LSB-CMM}
\description{
  Making prediction of classes based on a trained LSB-CMM
}
\usage{
\method{predict}{LSBCMM}(object, testX, ...)
}
\arguments{
  \item{object}{ Model trained by (\code{\link{lsbcmm.fit}}) }
  \item{testX}{ Data frame of covariates for testing data, from which predictions are made}
  \item{\dots}{ further arguments passed to or from other methods }
}
\details{
\code{predict.LSBCMM} produces predicted values for each observation in \code{testX} with the model trained by  (\code{\link{lsbcmm.fit}}).
}
\value{
Returns a prediction matrix with the same number of rows as \code{testX}.  Each row is probabilities 
of being each label.
}

\author{Li-Ping Liu \email{liuli@eecs.oregonstate.edu}}
\seealso{
\code{\link{lsbcmm.fit}}}

\keyword{ model }
\keyword{ predict }
