
#include "util.h"

#include <cstdlib>
#include <cmath>
#include <cfloat>


int sample(double* prob, int K)
{
    double r = double(rand()) / RAND_MAX;
    for (int k = 0; k < K; k++)
    {
        if (r - prob[k] < 0)
        {
            return k;
        }
        r -= prob[k];
    }
    return K - 1;
}

void logNormalize(double* logProb, int length)
{
    double max = -DBL_MAX;
    for (int i = 0; i < length; i++)
    {
        if (logProb[i] > max)
        {
            max = logProb[i];
        }
    }
    
    double sum = 0; 
    for (int i = 0; i < length; i++)
    {
        logProb[i] = exp(logProb[i] - max); 
        sum += logProb[i];
    }
     
    for (int i = 0; i < length; i++)
    {
        logProb[i] /= sum;
    }
}

